package com.winhc.bigdata.spark.jobs

import com.winhc.bigdata.spark.utils.{CompanyForCidsUtils, SparkUtils}
import org.apache.spark.sql.SparkSession

/**
 * 软件著作权 | 作品著作权 | 专利
 * π
 */

object CompanyForCids {
  val tabMapping: Map[String, Seq[String]] =
    Map("ods_company_copyright_reg" -> Seq("reg_num", "full_name"), //软件著作权
      "ods_company_copyright_works" -> Seq("reg_num", "name"), //作品著作权
      "ods_company_patent" -> Seq("pub_number", "title") //作品著作权
    )

  def main(args: Array[String]): Unit = {
    val (sourceTable, cols) = valid(args)
    //    var config = mutable.Map.empty[String, String]
    val spark: SparkSession = SparkUtils.InitEnv(this.getClass.getSimpleName, null)
    CompanyForCidsUtils(spark, sourceTable, cols).calc()
    spark.stop()
  }

  def valid(args: Array[String]): (String, Seq[String]) = {
    println(args.toSeq.mkString(" "))
    if (args.length == 1) {

    } else if (args.length == 2) {
      val Array(sourceTable, cols) = args
      return (sourceTable, cols.split(";").toSeq)
    } else {
      println("请输入要计算的table!!!! ")
      sys.exit(-1)
    }
    val Array(sourceTable) = args

    val cols: Seq[String] = tabMapping.getOrElse("ods_" + sourceTable, Seq())
    if (cols.isEmpty) {
      println("输入表不存在,请配置计算规则!!!   ")
      sys.exit(-1)
    }
    (sourceTable, cols)
  }
}
